classification
Title: Need tests for Unicode handling in install_distinfo and install_data
Type: Stage: resolved
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: alexis, asvetlov, eric.araujo, ezio.melotti, tarek, vstinner
Priority: normal Keywords: easy

Created on 2011-10-14 15:01 by eric.araujo, last changed 2014-03-12 10:47 by eric.araujo. This issue is now closed.

Messages (1)
msg145526 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2011-10-14 15:01
Currently, packaging code opens dist-info files (RECORD, RESOURCES) for writing without giving an explicit encoding.  We need to add tests and probably to explicitly specify UTF-8 when writing an reading.
History
Date User Action Args
2014-03-12 10:47:26eric.araujosetstatus: open -> closed
resolution: out of date
stage: needs patch -> resolved
2012-12-23 10:26:44asvetlovsetnosy: + asvetlov
2011-10-14 23:43:17ezio.melottisetnosy: + ezio.melotti
2011-10-14 15:01:22eric.araujocreate